
Extended Fields - Bug #2023

PDF export error when column "Notes" is added

16 Apr 2012 05:32 - V.E.O V.E.O

Status: Closed Start date: 16 Apr 2012

Priority: Normal Due date: 08 Jul 2012

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.2.0b   

Redmine version:  External issue:  

Description

Log:

NoMethodError (undefined method `notes' for #<Issue:0x48e4064>):

  lib/redmine/export/pdf.rb:244:in `block in fetch_row_values'

  lib/redmine/export/pdf.rb:239:in `collect'

  lib/redmine/export/pdf.rb:239:in `fetch_row_values'

  lib/redmine/export/pdf.rb:284:in `block in calc_col_width'

  app/helpers/issues_helper.rb:29:in `block in issue_list'

  app/helpers/issues_helper.rb:25:in `each'

  app/helpers/issues_helper.rb:25:in `issue_list'

  lib/redmine/export/pdf.rb:282:in `calc_col_width'

  lib/redmine/export/pdf.rb:411:in `issues_to_pdf'

  app/controllers/issues_controller.rb:89:in `block (2 levels) in index'

  app/controllers/issues_controller.rb:82:in `index'

  <internal:prelude>:10:in `synchronize'

  <internal:prelude>:10:in `synchronize'

Associated revisions

Revision 46 - 08 Jul 2012 09:19 - Andriy Lesyuk

Overrode fetch_row_values for extended fields (fixes #2023), added == for CustomValue and _list.html.erb (fixes #2015), added Turkish translation

(thanks Ismail Sezen)

History

#1 - 02 Jul 2012 12:57 - Andriy Lesyuk

- Target version set to 0.2.0b

#2 - 03 Jul 2012 11:46 - Andriy Lesyuk

- Status changed from New to Open

This is about “Notes” count in issues list...

#3 - 08 Jul 2012 09:20 - Andriy Lesyuk

- Due date set to 08 Jul 2012

- Status changed from Open to Closed

- % Done changed from 0 to 100
